package cn.kdan.cloud.pdf.office.api.payment.enums;

import lombok.Data;


public enum PaymentModelEnum {
    AUTO_RENEWAL(1, "自动续订"),
    ONE_TIME_PAYMENT(2, "单次付费");

    private final int code;
    private final String description;
    // 构造函数
    PaymentModelEnum(int code, String description) {
        this.code = code;
        this.description = description;
    }


    // 获取 code
    public int getCode() {
        return code;
    }

    // 获取 description
    public String getDescription() {
        return description;
    }

    // 通过 code 获取枚举值
    public static PaymentModelEnum fromCode(int code) {
        for (PaymentModelEnum model : PaymentModelEnum.values()) {
            if (model.getCode() == code) {
                return model;
            }
        }
        throw new IllegalArgumentException("Unknown payment model code: " + code);
    }
}
