package cn.kdan.cloud.pdf.office.common.enums;

import java.util.Objects;

public enum ActivityTypeEnum {
    /**
     * 黑五1老带新2beta版测评3
     */
    BLACK_FIVE("1","黑五"),
    BLACK_FIVE_NEW("2","老带新"),
    BETA_VERSION("3","beta版测评"),
    ;

    private final String code;
    private final String description;

    ActivityTypeEnum(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    public static ActivityTypeEnum fromCode(String code) {
        for (ActivityTypeEnum action : ActivityTypeEnum.values()) {
            if (Objects.equals(action.code, code)) {
                return action;
            }
        }
        throw new IllegalArgumentException("No action found for code: " + code);
    }
}
