package cn.kdan.cloud.pdf.office.common.enums;

import lombok.Getter;

@Getter
public enum ProductCodeEnum {
    /**
     * 全平台高级版年订阅（带试用）
     */
    ADVANCED_ANNUAL_SUBSCRIPTION_TRAIL("advanced-annual-subscription-trail", "全平台高级版年订阅（带试用）"),
    /**
     * PDF Reader Pro 免费版
     */
    PRO_FREE("pro-free", "PDF Reader Pro 免费版"),
    /**
     * 全平台标准版年订阅
     */
    STANDARD_ANNUAL_SUBSCRIPTION("standard-annual-subscription", "全平台标准版年订阅"),
    /**
     * 全平台高级版订阅
     */
    ADVANCED_ANNUAL_SUBSCRIPTION("advanced-annual-subscription", "全平台高级版订阅"),
    /**
     * 双平台高级版永久
     */
    ADVANCED_PERMANENT("advanced-permanent", "双平台高级版永久"),
    /**
     * ai月订阅：官网
     */
    AI_SUBSCRIPTION_MONTH("ai-subscription-month", "ai月订阅：官网"),
    /**
     * ai试用年订阅
     */
    AI_SUBSCRIPTION_YEAR_TRAIL("ai-subscription-year-trail", "ai试用年订阅"),
    /**
     * MAC&Windows双平台高级版永久（黑五）
     */
    ADVANCED_PERMANENT_BLACKFIVE("advanced-permanent-blackFive", "MAC&Windows双平台高级版永久（黑五）"),
    /**
     * PDF Reader Pro 高级版年订阅(黑五)
     */
    ADVANCED_ANNUAL_SUBSCRIPTION_BLACKFIVE("advanced-annual-subscription-blackFive", "PDF Reader Pro 高级版年订阅(黑五)"),
    /**
     * Android单平台高级版月订阅
     */
    ADVANCED_ANNUAL_SUBSCRIPTION_MONTH_ANDROID("advanced-annual-subscription-month-android", "Android单平台高级版月订阅"),
    /**
     * 全平台标准版年订阅（教育版）
     */
    STANDARD_ANNUAL_SUBSCRIPTION_EDUCATIONAL("standard-annual-subscription-educational", "全平台标准版年订阅（教育版）"),
    /**
     * 全平台高级版年订阅（教育版）
     */
    ADVANCED_ANNUAL_SUBSCRIPTION_EDUCATIONAL("advanced-annual-subscription-educational", "全平台高级版年订阅（教育版）"),
    /**
     * MAC&Windows双平台高级版永久（教育版）
     */
    ADVANCED_PERMANENT_EDUCATIONAL("advanced-permanent-educational", "MAC&Windows双平台高级版永久（教育版）"),
    /**
     * IOS单平台高级版永久
     */
    ADVANCED_ANNUAL_PERMANENT_IOS("advanced-annual-permanent-ios", "IOS单平台高级版永久"),
    /**
     * PDF Reader Pro 高级版(黑五带试用)
     */
    ADVANCED_ANNUAL_SUBSCRIPTION_BLACKFIVE_TRAIL("advanced-annual-subscription-blackFive-trail", "PDF Reader Pro 高级版(黑五带试用)"),
    /**
     * PDF Reader Pro 高级版(半年订阅)
     */
    ADVANCED_ANNUAL_SUBSCRIPTION_SIX_MONTH("advanced-annual-subscription-six-month", "PDF Reader Pro 高级版(半年订阅)"),
    /**
     * Mac单平台高级版永久（转档包）
     */
    ADVANCED_PERMANENT_MAC_UPGRADE("advanced-permanent-mac-upgrade", "Mac单平台高级版永久（转档包）"),
    /**
     * 全平台高级订阅（单平台升级）
     */
    ADVANCED_ANNUAL_SUBSCRIPTION_SINGLE_UPGRADE("advanced-annual-subscription-single-upgrade", "全平台高级订阅（单平台升级）"),
    /**
     * 全平台高级版订阅（双平台升级）
     */
    ADVANCED_ANNUAL_SUBSCRIPTION_MULTI_UPGRADE("advanced-annual-subscription-multi-upgrade", "全平台高级版订阅（双平台升级）"),
    /**
     * 全平台高级版订阅（标准单平台升级）
     */
    ADVANCED_ANNUAL_SUBSCRIPTION_STANDARD_UPGRADE("advanced-annual-subscription-standard-upgrade", "全平台高级版订阅（标准单平台升级）"),
    /**
     * 全平台高级版订阅（标准版年订阅升级）
     */
    ADVANCED_ANNUAL_SUBSCRIPTION_STANDARD_YEAR_UPGRADE("advanced-annual-subscription-standard-year-upgrade", "全平台高级版订阅（标准版年订阅升级）"),
    /**
     * mac单平台标准版永久
     */
    STANDARD_PERMANENT_MAC("standard-permanent-mac", "mac单平台标准版永久"),
    /**
     * window单平台高级版永久
     */
    ADVANCED_PERMANENT_WINDOWS("advanced-permanent-windows", "window单平台高级版永久"),
    /**
     * window单平台标准版永久
     */
    STANDARD_PERMANENT_WINDOWS("standard-permanent-windows", "window单平台标准版永久"),
    /**
     * PDF Reader Pro Mac 高级版 _ 年订阅单平台
     */
    ADVANCED_ANNUAL_SUBSCRIPTION_MAC("advanced-annual-subscription-mac", "PDF Reader Pro Mac 高级版 _ 年订阅单平台"),
    /**
     * PDF Reader Pro Mac 高级版 _ 半年订阅
     */
    ADVANCED_ANNUAL_SUBSCRIPTION_SIX_MONTH_MAC("advanced-annual-subscription-six-month-mac", "PDF Reader Pro Mac 高级版 _ 半年订阅"),
    /**
     * 全平台高级订阅（教育用户买断升级）
     */
    ADVANCED_ANNUAL_SUBSCRIPTION_EDU_UPGRADE("advanced-annual-subscription-edu-upgrade", "全平台高级订阅（教育用户买断升级）"),
    /**
     * Android 单平台高级版永久
     */
    ADVANCED_PERMANENT_ANDROID("advanced-permanent-android", "Android 单平台高级版永久"),
    /**
     * window单平台高级版永久（标准版永久升级）
     */
    ADVANCED_PERMANENT_WINDOWS_STANDARD_UPGRADE("advanced-permanent-windows-standard-upgrade", "window单平台高级版永久（标准版永久升级）"),
    /**
     * 全平台高级版订阅(黑五)
     */
    STANDARD_ANNUAL_SUBSCRIPTION_BLACKFIVE("standard-annual-subscription-blackFive", "全平台标准版订阅(黑五)"),
    /**
     * 活动AI点数赠送
     */
    AI_GIVE_50("ai-give-50", "活动AI点数赠送"),
    ;

    private final String code;
    private final String description;

    ProductCodeEnum(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public static ProductCodeEnum fromCode(String code) {
        for (ProductCodeEnum action : ProductCodeEnum.values()) {
            if (action.code == code) {
                return action;
            }
        }
        throw new IllegalArgumentException("No action found for code: " + code);
    }

}
