package cn.kdan.cloud.pdf.office.common.enums;

public enum ProductLevelEnum {
    FREE("1", "免费版"),
    STANDARD("2", "标准版"),
    PREMIUM("3", "高级版");
;

    private final String code;
    private final String description;

    ProductLevelEnum(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    public static ProductLevelEnum fromCode(String code) {
        for (ProductLevelEnum action : ProductLevelEnum.values()) {
            if (action.code == code) {
                return action;
            }
        }
        throw new IllegalArgumentException("No action found for code: " + code);
    }

}
