package cn.kdan.cloud.pdf.office.payment.enums;

public enum AppleIAPEnum {
    // Mac 相关订阅包
    MAC_FREE_ADVANCED_6_MONTHS("com.pdfreaderpro.mac_free.member.all_access_pack_advanced_6months.001", "高级6个月订阅", "advanced-annual-subscription-six-month"),
    MAC_FREE_ADVANCED_ANNUAL("com.pdfreaderpro.mac_free.member.all_access_pack_advanced_annual.001", "高级年订阅", "advanced-annual-subscription"),
    MAC_FREE_ADVANCED_6_MONTHS_MAC("com.pdfreaderpro.mac_free.member.all_access_pack_new_6months.001", "单平台高级6个月订阅", "advanced-annual-subscription-six-month-mac"),
    MAC_FREE_ADVANCED_ANNUAL_MAC("com.pdfreaderpro.mac_free.member.all_access_pack_12months.001", "单平台高级年订阅", "advanced-annual-subscription-mac"),
    MAC_FREE_ADVANCED_6_MONTHS_MAC_V2("com.pdfreaderpro.mac_free.member.all_access_pack_6months.001", "单平台高级6个月订阅", "advanced-annual-subscription-six-month-mac"),
    MAC_FREE_ADVANCED_PERMANENT_MAC("com.pdfreaderpro.mac_free.member.all_access_pack_advanced_permanent_license.001", "mac单平台高级版永久", "advanced-permanent"),
    MAC_FREE_ADVANCED_PERMANENT_MAC_V2("com.pdfreaderpro.mac_free.member.all_access_pack_permanent_license.001", "mac单平台高级版永久", "advanced-permanent-mac-upgrade"),
    MAC_FREE_ADVANCED_ADD_DEVICES_ALL_ACCESS_MAC("com.pdfreaderpro.mac_free.member.advanced_add_devices_all_access_pack_advanced_annual.001", "高级全平台年订阅", "advanced-annual-subscription-single-upgrade"),
    MAC_FREE_ADVANCED_ADD_2_DEVICES_ALL_ACCESS_MAC("com.pdfreaderpro.mac_free.member.advanced_add_2_devices_all_access_pack_advanced_annual.001", "高级全平台年订阅", "advanced-annual-subscription-multi-upgrade"),
    MAC_FREE_PDF_TO_OFFICE_PERMANENT_MAC("com.pdfreaderpro.mac.pdf_to_office_pack_permanent_license.001", "mac单平台高级版永久", "advanced-permanent-mac-upgrade"),
    MAC_FREE_PDF_TO_OFFICE_MEMBER_PERMANENT_MAC("com.pdfreaderpro.mac.member.pdf_to_office_pack_permanent_license.001", "mac单平台高级版永久", "advanced-permanent-mac-upgrade"),
    MAC_ADVANCED_ALL_ACCESS_MAC("com.pdfreaderpro.mac.all_access_pack_advanced_annual.001", "高级全平台年订阅", "advanced-annual-subscription"),
    MAC_ADVANCED_STANDARD_ADD_DEVICES_MAC("com.pdfreaderpro.mac.standard_add_devices_all_access_pack_advanced_annual.001", "高级全平台年订阅", "advanced-annual-subscription-standard-upgrade"),
    MAC_ADVANCED_SINGLE_ADD_DEVICES_MAC("com.pdfreaderpro.mac.advanced_add_devices_all_access_pack_advanced_annual.001", "高级全平台年订阅", "advanced-annual-subscription-single-upgrade"),
    MAC_ADVANCED_MULTI_ADD_DEVICES_MAC("com.pdfreaderpro.mac.advanced_add_2_devices_all_access_pack_advanced_annual.001", "高级全平台年订阅", "advanced-annual-subscription-multi-upgrade"),

    // iOS 相关订阅包
    IOS_FREE_ADVANCED_PERMANENT("com.pdfreaderpro.ios_free.member.all_access_pack_advanced_permanent_license.001", "ios单平台高级版永久", "advanced-annual-permanent-ios"),
    IOS_FREE_ADVANCED_6_MONTHS("com.pdfreaderpro.free.member.all_access_pack_permanent_license.001", "ios单平台高级版永久", "advanced-annual-permanent-ios"),
    IOS_FREE_ADVANCED_ALL_ACCESS("com.pdfreaderpro.ios_free.member.all_access_pack_advanced_annual.001", "高级全平台年订阅", "advanced-annual-subscription"),
    IOS_FREE_ADVANCED_PERMANENT_V2("com.pdfreaderpro.ios_free.member.all_access_pack_advanced_permanent_license.001", "ios单平台永久", "advanced-annual-permanent-ios"),
    IOS_FREE_ADVANCED_ADD_DEVICES_ALL_ACCESS("com.pdfreaderpro.ios_free.member.advanced_add_devices_all_access_pack_advanced_annual.001", "高级全平台年订阅", "advanced-annual-subscription-single-upgrade"),
    IOS_FREE_ADVANCED_ADD_2_DEVICES_ALL_ACCESS("com.pdfreaderpro.ios_free.member.advanced_add_2_devices_all_access_pack_advanced_annual.001", "高级全平台年订阅", "advanced-annual-subscription-multi-upgrade"),
    IOS_PDF_TO_OFFICE_PERMANENT("com.pdfreaderpro.ios.pdf_to_office_pack_permanent_license.001", "ios单平台高级版永久", "advanced-annual-permanent-ios"),
    IOS_ADVANCED_ADD_DEVICES_ALL_ACCESS_V2("com.pdfreaderpro.ios.advanced_add_devices_all_access_pack_advanced_annual.001", "高级全平台年订阅", "advanced-annual-subscription-single-upgrade"),
    IOS_ADVANCED_ADD_2_DEVICES_ALL_ACCESS_V2("com.pdfreaderpro.ios.advanced_add_2_devices_all_access_pack_advanced_annual.001", "高级全平台年订阅", "advanced-annual-subscription-multi-upgrade");

    private final String appleIAP;
    private final String description;
    private final String productCode;

    AppleIAPEnum(String appleIAP, String description, String productCode) {
        this.appleIAP = appleIAP;
        this.description = description;
        this.productCode = productCode;
    }

    public String getAppleIAP() {
        return appleIAP;
    }

    public String getDescription() {
        return description;
    }

    public String getProductCode() {
        return productCode;
    }

    public static String getByAppleIAP(String appleIAP) {
        for (AppleIAPEnum value : AppleIAPEnum.values()) {
            if (value.getAppleIAP().equals(appleIAP)) {
                return value.getProductCode();
            }
        }
        return "";
    }

}

