package cn.kdan.cloud.pdf.office.payment.service.impl;

import cn.kdan.cloud.pdf.office.payment.entity.RightBindLog;
import cn.kdan.cloud.pdf.office.payment.mapper.RightBindLogMapper;
import cn.kdan.cloud.pdf.office.payment.service.RightBindLogService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author ComPDFKitTXA 2025-01-06
 */
@Service
public class RightBindLogServiceImpl extends ServiceImpl<RightBindLogMapper, RightBindLog> implements RightBindLogService {

    @Override
    public IPage<RightBindLog> page(RightBindLog query) {
        return this.page(new Page<>(query.getPage(), query.getSize()), Wrappers.query(query));
    }

    /**
     * 根据用户id查询绑定日志数量
     */
    @Override
    public Long countByUserId(String userId) {
        return this.count(Wrappers.lambdaQuery(RightBindLog.class).eq(RightBindLog::getUserId, userId));
    }


}
