package cn.kdan.cloud.pdf.office.website.controller;

import cn.kdan.cloud.pdf.office.api.payment.dto.EquityVerificationDTO;
import cn.kdan.cloud.pdf.office.api.payment.feign.OrderApi;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.common.vo.UserInfoVO;
import cn.kdan.cloud.pdf.office.website.dto.JudgeBindDTO;
import cn.kdan.cloud.pdf.office.website.service.PaymentService;
import cn.kdan.cloud.pdf.office.website.utils.SecurityUtils;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 苹果支付
 */
@RestController
@RequestMapping("/applePay")
@RequiredArgsConstructor
public class ApplePayController {

    private final PaymentService paymentService;
    private final OrderApi orderApi;


    /**
     * appStore 权益校验
     *
     * @param equityVerificationDTO equityVerificationDTO
     * @return UserInfoVO
     */
    @PostMapping("/appStoreEquityVerification")
    public ResultMap<UserInfoVO> appStoreEquityVerification(@RequestBody EquityVerificationDTO equityVerificationDTO) {
        equityVerificationDTO.setUserId(SecurityUtils.getUserId());
        return ResultMap.success(paymentService.appStoreEquityVerification(equityVerificationDTO));
    }

    /**
     * 判断是否可以绑定了至少一个权益
     * @return Boolean
     */
    @PostMapping("/judgeBind")
    public ResultMap<Boolean> judgeBind(@RequestBody JudgeBindDTO judgeBindDTO) {
        return ResultMap.success(orderApi.judgeBind(judgeBindDTO.getAppTransactionIds(),judgeBindDTO.getAppleBundleId()).getResult());
    }

}
